
**Start from here** 
use "/Users/andrearobbett/Dropbox/Projects/Partisan Public Goods/Data Replication Files/PartisanPublicGoods.dta", clear

ssc install mplotoffset



**** Figure 1 *****

preserve
gen type = ""
replace type = "Mixed" if Homogeneous==0
replace type = "Single Party" if Homogeneous ==1
replace type = "No Information" if Partisan == 0
collapse TotalContribution, by(type Period Punish)
	twoway (connected TotalContribution Period if type == "Mixed" & Punish ==0, sort mcolor(black) msymbol(circle) lcolor(black) lpattern(solid)) /*
	*/ (connected TotalContribution Period if type == "Single Party" & Punish ==0, sort mcolor(black) msymbol(square) lcolor(black) lpattern(solid)) /*
	*/ (connected TotalContribution Period if type == "No Information" & Punish ==0, sort mcolor(gray) msymbol(triangle) lcolor(gray) lpattern(dash)), /*
	*/ ylabel(0(10)60) xlabel(1(1)10) xtitle("Period") ytitle("Contributions") title("Contributions without Punishment") legend(order(1 "Mixed Party" 2 /*
	*/ "Single Party" 3  "No Information (Control)")) graphregion(fcolor(white)) xsize(4) ysize(3)
	*

	twoway (connected TotalContribution Period if type == "Mixed" & Punish ==1, sort mcolor(black) msymbol(circle) lcolor(black) lpattern(solid)) /*
	*/ (connected TotalContribution Period if type == "Single Party" & Punish ==1, sort mcolor(black) msymbol(square) lcolor(black) lpattern(solid)) /*
	*/ (connected TotalContribution Period if type == "No Information" & Punish ==1, sort mcolor(gray) msymbol(triangle) lcolor(gray) lpattern(dash)), /*
	*/ ylabel(0(10)60) xlabel(1(1)10) xtitle("Period") ytitle("Contributions") title("Contributions with Punishment") legend(order(1 "Mixed Party" 2 /*
	*/ "Single Party" 3  "No Information (Control)")) graphregion(fcolor(white)) xsize(4) ysize(3)
	*

restore

**** Figure 2 *****

preserve
gen num_con = .
replace num_con = NumberofCopartisans
replace num_con = 4 if Partisan == 0


collapse OwnContribution, by(num_con Period Punish)
	twoway (connected OwnContribution Period if num_con == 0 & Punish ==0, sort mcolor(black) msymbol(circle) lcolor(black) lpattern(solid)) /*
	*/ (connected OwnContribution Period if num_con == 1 & Punish ==0, sort mcolor(black) msymbol(square) lcolor(black) lpattern(solid)) /*
	*/ (connected OwnContribution Period if num_con == 2 & Punish ==0, sort mcolor(black) msymbol(diamond) lcolor(black) lpattern(solid)) /*
	*/ (connected OwnContribution Period if num_con == 4 & Punish ==0, sort mcolor(gray) msymbol(triangle) lcolor(gray) lpattern(dash)), /*
	*/ ylabel(0(5)20) xlabel(1(1)10) xtitle("Period") ytitle("Individual Contribution") title("Individual Contributions without Punishment") legend(order(1 "No Copartisans" 2 /*
	*/ "1 Copartisan" 3  "2 Copartisans" 4 "No Information")) graphregion(fcolor(white)) xsize(4) ysize(3)
	*
	

			

	twoway (connected OwnContribution Period if num_con == 0 & Punish ==1, sort mcolor(black) msymbol(circle) lcolor(black) lpattern(solid)) /*
	*/ (connected OwnContribution Period if num_con == 1 & Punish ==1, sort mcolor(black) msymbol(square) lcolor(black) lpattern(solid)) /*
	*/ (connected OwnContribution Period if num_con == 2 & Punish ==1, sort mcolor(black) msymbol(diamond) lcolor(black) lpattern(solid)) /*
	*/ (connected OwnContribution Period if num_con == 4 & Punish ==1, sort mcolor(gray) msymbol(triangle) lcolor(gray) lpattern(dash)), /*
	*/ ylabel(0(5)20) xlabel(1(1)10) xtitle("Period") ytitle("Individual Contribution") title("Individual Contributions with Punishment") legend(order(1 "No Copartisans" 2 /*
	*/ "1 Copartisan" 3  "2 Copartisans" 4 "No Information")) graphregion(fcolor(white)) xsize(4) ysize(3)
	*


restore


**** Figure 3 *****



keep if Punish ==1
expand(2)
sort unique_subject_ID Period
gen target = "A"
replace target = "B" if playerlabel == "A" & Period!=Period[_n-1]
replace target = "C" if playerlabel == "A" & Period==Period[_n-1]
replace target = "B" if playerlabel == "C" & Period==Period[_n-1]
replace target = "C" if playerlabel == "B" & Period==Period[_n-1]
gen targetaffiliation = groupplayerA
replace targetaffiliation = groupplayerB if target == "B"
replace targetaffiliation = groupplayerC if target == "C"
gen targetcontribution = groupA_cont
replace targetcontribution = groupB_cont if target == "B"
replace targetcontribution = groupC_cont if target == "C"
gen PointsGiven = playerpunishA
replace PointsGiven = playerpunishB if target == "B"
replace PointsGiven = playerpunishC if target == "C"
gen sameaffiliation = 0
replace sameaffiliation = 1 if Republican ==1 & targetaffiliation == "Republican"
replace sameaffiliation = 1 if Republican ==0 & targetaffiliation == "Democrat"
replace sameaffiliation = 0 if Partisan ==0
gen differentaffiliation = 0
replace differentaffiliation =1 if sameaffiliation ==0 & Partisan ==1
gen averageothers = (TotalContribution - targetcontribution)/2
gen Rep_same = Republican*sameaffiliation
gen Rep_diff = Republican*differentaffiliation

tobit PointsGiven c.targetcontribution c.averageothers i.differentaffiliation i.sameaffiliation c.Period i.Republican i.Republican#i.differentaffiliation /*
	*/ i.Republican#i.sameaffiliation i.voter i.female i.approve c.age i.white i.follownews if targetcontribution<20, vce(cluster unique_group) ul(5) ll(0)

margins, dydx(differentaffiliation) predict(pr(0,5)) at (targetcontribution=(0(2)20) Republican=(0,1))
mplotoffset, offset(0.25) xtitle("Target Contribution") ytitle ("Effect on Pr(Positive Punishment)") title("Effects of Opposing Partisanship on Incidence of Punishment") /*
*/ graphregion(fcolor(white)) legend(order(1 "Democrats" 2 "Republicans")) plot1op(msymbol(Dh) mcolor(black) lcolor(black)) ci1opts(lcolor(black)) plot2op(msymbol(0h) mcolor(gray) lcolor(gray)) ci2opts(lcolor(gray))
		

margins, dydx(differentaffiliation) predict(e(0,5)) at (targetcontribution=(0(2)20) Republican=(0,1))
mplotoffset, offset(0.25) xtitle("Target Contribution") ytitle ("Conditional Effect on Punishment Level") title("Effects of Opposing Partisanship on Level of Punishment") /*
*/ graphregion(fcolor(white)) legend(order(1 "Democrats" 2 "Republicans")) plot1op(msymbol(Dh) mcolor(black) lcolor(black)) ci1opts(lcolor(black)) plot2op(msymbol(0h) mcolor(gray) lcolor(gray)) ci2opts(lcolor(gray))



margins, dydx(sameaffiliation) predict(pr(0,5)) at (targetcontribution=(0(2)20) Republican=(0,1))
mplotoffset, offset(0.25) xtitle("Target Contribution") ytitle ("Effect on Pr(Positive Punishment)") title("Effects of Co-Partisanship on Incidence of Punishment") /*
*/ graphregion(fcolor(white)) legend(order(1 "Democrats" 2 "Republicans")) plot1op(msymbol(Dh) mcolor(black) lcolor(black)) ci1opts(lcolor(black)) plot2op(msymbol(0h) mcolor(gray) lcolor(gray)) ci2opts(lcolor(gray))

		

margins, dydx(sameaffiliation) predict(e(0,5)) at (targetcontribution=(0(2)20) Republican=(0,1))
mplotoffset, offset(0.25) xtitle("Target Contribution") ytitle ("Conditional Effect on Punishment Level") title("Effects of Co-Partisanship on Level of Punishment") /*
*/ graphregion(fcolor(white)) legend(order(1 "Democrats" 2 "Republicans")) plot1op(msymbol(Dh) mcolor(black) lcolor(black)) ci1opts(lcolor(black)) plot2op(msymbol(0h) mcolor(gray) lcolor(gray)) ci2opts(lcolor(gray))
		
		
restore		


**** Figure 4 *****



preserve

gen type = ""
replace type = "Mixed" if Homogeneous==0
replace type = "Single Party" if Homogeneous ==1
replace type = "No Information" if Partisan == 0
collapse PeriodPayoff, by(type Period Punish)	
gen efficiency = (PeriodPayoff*3 - 60)/(120 - 60)

		twoway (connected efficiency Period if type == "Mixed" & Punish ==1, sort mcolor(black) msymbol(circle) lcolor(black) lpattern(solid)) /*
	*/	(connected efficiency Period if type == "Mixed" & Punish ==0, sort mcolor(black) msymbol(circle_hollow) lcolor(black) lpattern(solid)) /*
	*/ (connected efficiency Period if type == "Single Party" & Punish ==1, sort mcolor(black) msymbol(square) lcolor(black) lpattern(solid)) /*
		*/ (connected efficiency Period if type == "Single Party" & Punish ==0, sort mcolor(black) msymbol(square_hollow) lcolor(black) lpattern(solid)) /*
	*/ (connected efficiency Period if type == "No Information" & Punish ==1, sort mcolor(gray) msymbol(triangle) lcolor(gray) lpattern(dash)) /*
		*/ (connected efficiency Period if type == "No Information" & Punish ==0, sort mcolor(gray) msymbol(triangle_hollow) lcolor(gray) lpattern(dash)), /*
	*/ ylabel(0(1)1) xlabel(1(1)10) xtitle("Period") ytitle("Efficiency") title("Efficiency all Conditions") legend(order(1 "Mixed Party -- Punish" 2 "Mixed Party -- No Punish" /*
	*/ 3 "Single Party -- Punish" 4 "Single Party - No Punish" 5  "No Info. -- Punish" 6 "No Info. -- No Punish")) graphregion(fcolor(white)) xsize(4) ysize(3)
	*

	
	restore

	
	
**** Table 1 *****

preserve

gen Heterogeneous = 0
replace Heterogeneous = 1 if NumberofRepublicans == 1 | NumberofRepublicans ==2
replace Homogeneous = 0 if Partisan == 0
replace Heterogeneous = 0 if Partisan ==0

collapse TotalContribution PeriodPayoff NumberofRepublicans Homogeneous Heterogeneous Punish Partisan voter female approve age white follownews, by(Period unique_group)


label var Homogeneous "Single-Party"
label var Heterogeneous "Multi-Party"


gen Pun_Het = Heterogeneous*Punish
gen Pun_Hom = Homogeneous* Punish
gen Pun_Per = Punish*Period
gen Period_Hom = Period*Homogeneous
gen Period_Het =Period*Heterogeneous
gen Period_Hom_Pun = Punish*Period_Hom
gen Period_Het_Punish = Punish*Period_Het

label var Homogeneous "Single-Party"
label var Heterogeneous "Multi-Party"

label var Period "Period"
label var NumberofRepublicans "Number of Republicans"
label var Pun_Het "Multi-Party x Punish"
label var Pun_Hom "Single-Party x Punish"
label var Pun_Per "Period x Punish"
label var Punish "Punish"
label var Period_Hom "Period x Single-Party"
label var Period_Het "Period x Multi-Party"
label var Period_Hom_Pun "Period x Single-Party x Punish"
label var Period_Het_Punish "Period x Multi-Party x Punish"



eststo clear
eststo: reg TotalContribution Heterogeneous Homogeneous NumberofRepublicans Period if Punish==0, cluster(unique_group)
eststo: reg TotalContribution Heterogeneous Homogeneous NumberofRepublicans Period if Punish==1, cluster(unique_group)
eststo: reg TotalContribution Heterogeneous Homogeneous NumberofRepublicans Period voter female approve age white follownews  if Punish==0, cluster(unique_group)
eststo: reg TotalContribution Heterogeneous Homogeneous NumberofRepublicans Period voter female approve age white follownews if Punish==1, cluster(unique_group)
eststo: reg TotalContribution Heterogeneous Homogeneous Punish Pun_Het Pun_Hom NumberofRepublicans voter female approve age white follownews Period, cluster(unique_group)
eststo: reg TotalContribution Heterogeneous Homogeneous Punish Pun_Het Pun_Hom NumberofRepublicans voter female approve age white follownews Period Pun_Per Period_Hom Period_Het Period_Hom_Pun Period_Het_Punish, cluster(unique_group)
esttab, replace keep(_cons Heterogeneous Homogeneous Punish Pun_Het Pun_Hom NumberofRepublicans Period Pun_Per Period_Hom Period_Het Period_Hom_Pun Period_Het_Punish) indicate(Controls = female) se label title(Group Contribution Outcomes) addnote("Standard errors clustered at group level." "Columns (3) - (6) include controls for group demographics." "In all columns, the No Partisan condition is the omitted condition.") mtitles("No Pun." "Pun." "No Pun." "Pun." "All" "All") star(* 0.10 ** 0.05 *** 0.01)

restore

**** Table 2 *****

preserve

gen nocopartisans = NumberofCopartisans == 0
gen onecopartisans = NumberofCopartisans == 1
gen twocopartisans = NumberofCopartisans == 2
replace nocopartisans = 0 if Partisan ==0
replace onecopartisans = 0 if Partisan ==0
replace twocopartisans = 0 if Partisan ==0
gen nocoP = nocopartisans*Punish
gen onecoP = onecopartisans*Punish
gen twocoP = twocopartisans*Punish

eststo clear
label var nocopartisan "No Copartisans"
label var onecopartisan "One Copartisan"
label var twocopartisan "Two Copartisans"
label var Period "Period"
label var NumberofCopartisans "Number of Copartisans"
label var nocoP "No Copartisans x Punish"
label var onecoP "One Copartisans x Punish"
label var twocoP "Two Copartisans x Punish"

eststo: reg OwnContribution NumberofCopartisans Period if Punish ==0 & Partisan ==1, cluster(unique_group)
eststo: reg OwnContribution NumberofCopartisans Period if Punish ==1 & Partisan ==1, cluster(unique_group)
eststo: reg  OwnContribution nocopartisans onecopartisans twocopartisans Period if Punish ==0, cluster(unique_group)
eststo: reg  OwnContribution nocopartisans onecopartisans twocopartisans Period if Punish ==1, cluster(unique_group)
eststo: reg  OwnContribution nocopartisans onecopartisans twocopartisans Period age voter female white approve follownews Republican if Punish ==0, cluster(unique_group)
eststo: reg  OwnContribution nocopartisans onecopartisans twocopartisans Period age voter female white approve follownews Republican if Punish ==1, cluster(unique_group)

eststo: reg OwnContribution nocopartisans onecopartisans twocopartisans Punish Period nocoP onecoP twocoP age voter female white approve follownews Republican, cluster(unique_group)

esttab, replace keep(_cons Republican NumberofCopartisans Period nocopartisans onecopartisans twocopartisans Punish nocoP onecoP twocoP) indicate(Controls = female) se label title(Individual Contribution Decision) addnote("Standard errors clustered at group level." "Columns (1) and (2) include only Partisan condition." "In Columns (3) - (7) the No Partisan condition is the omitted condition.") mtitles("No Pun." "Pun." "No Pun." "Pun." "No Pun." "Pun." "All") star(* 0.10 ** 0.05 *** 0.01)

restore

**** Table 3 *****

preserve

keep if Punish ==1
expand(2)
sort unique_subject_ID Period
gen target = "A"
replace target = "B" if playerlabel == "A" & Period!=Period[_n-1]
replace target = "C" if playerlabel == "A" & Period==Period[_n-1]
replace target = "B" if playerlabel == "C" & Period==Period[_n-1]
replace target = "C" if playerlabel == "B" & Period==Period[_n-1]
gen targetaffiliation = groupplayerA
replace targetaffiliation = groupplayerB if target == "B"
replace targetaffiliation = groupplayerC if target == "C"
gen targetcontribution = groupA_cont
replace targetcontribution = groupB_cont if target == "B"
replace targetcontribution = groupC_cont if target == "C"
gen PointsGiven = playerpunishA
replace PointsGiven = playerpunishB if target == "B"
replace PointsGiven = playerpunishC if target == "C"
gen sameaffiliation = 0
replace sameaffiliation = 1 if Republican ==1 & targetaffiliation == "Republican"
replace sameaffiliation = 1 if Republican ==0 & targetaffiliation == "Democrat"
replace sameaffiliation = 0 if Partisan ==0
gen differentaffiliation = 0
replace differentaffiliation =1 if sameaffiliation ==0 & Partisan ==1
gen averageothers = (TotalContribution - targetcontribution)/2
gen Rep_same = Republican*sameaffiliation
gen Rep_diff = Republican*differentaffiliation


label var Period "Period"
label var targetcontribution "Target's contribution"
label var Rep_same "Republican x Co-Partisan" 
label var Rep_diff "Republican x Opposing Partisan" 
label var sameaffiliation "Co-Partisan"
label var differentaffiliation "Opposing Partisan"
label var averageothers "Others' Avg Contributions"

eststo clear
eststo: tobit PointsGiven targetcontribution averageothers Period Republican, vce(cluster unique_group) ul(5) ll(0)
eststo: tobit PointsGiven targetcontribution averageothers Period Republican sameaffiliation differentaffiliation Rep_diff Rep_same, vce(cluster unique_group) ul(5) ll(0)
eststo: tobit PointsGiven targetcontribution averageothers Period Republican sameaffiliation differentaffiliation Rep_diff Rep_same voter female approve age white follownews, vce(cluster unique_group) ul(5) ll(0)
eststo: tobit PointsGiven targetcont averageothers differentaffiliation sameaffiliation Period Rep_diff Rep_same Republican voter female approve age white follownews if targetcon<20, vce(cluster unique_group) ul(5) ll(0)
esttab, replace keep(_cons targetcontribution averageothers Period Republican /*
	*/ sameaffiliation differentaffiliation Rep_diff Rep_same) indicate(Controls = female) se label title(Punishment Decisions) /*
	*/ addnote("Tobit model of points given" "Standard errors clustered at group level." "Column (4) includes targets who contributed less than their endowment.") mtitles("" "" "" "") star(* 0.10 ** 0.05 *** 0.01)
*

restore

**** Table 4 *****


preserve
gen Heterogeneous = 0
replace Heterogeneous = 1 if NumberofRepublicans == 1 | NumberofRepublicans ==2
replace Homogeneous = 0 if Partisan == 0
replace Heterogeneous = 0 if Partisan ==0


sort unique_subject_ID Period

gen PointsReceived = groupA_punished
replace PointsReceived = groupB_punished if playerlabel == "B"
replace PointsReceived = groupC_punished if playerlabel == "C"

gen PrevCont = .
replace PrevCont = OwnContribution[_n-1] if Period>1 & unique_subject_ID == unique_subject_ID[_n-1]
gen PrevGroupCont = .
replace PrevGroupCont = TotalContribution[_n-1] if Period>1 & unique_subject_ID == unique_subject_ID[_n-1]
gen PrevPointsReceived = .
replace PrevPointsReceived = PointsReceived[_n-1] if Period>1 & unique_subject_ID == unique_subject_ID[_n-1]
 

gen ContChange = OwnContribution - PrevCont

gen Het_Points = Heterogeneous*PrevPointsReceived
gen Ho_Points = Homogeneous*PrevPointsReceived


gen nocopartisans = NumberofCopartisans == 0
gen onecopartisans = NumberofCopartisans == 1
gen twocopartisans = NumberofCopartisans == 2
replace nocopartisans = 0 if Partisan ==0
replace onecopartisans = 0 if Partisan ==0
replace twocopartisans = 0 if Partisan ==0

gen noco_Points = nocopartisans*PrevPoints
gen oneco_Points = onecopartisans*PrevPoints
gen twoco_Points = twocopartisans*PrevPoints

label var nocopartisan "No Copartisans"
label var onecopartisan "One Copartisan"
label var twocopartisan "Two Copartisans"
label var Period "Period"
label var noco_Points "No Copartisans x Previous Points"
label var oneco_Points "One Copartisan x Previous Points"
label var twoco_Points "Two Copartisans x Previous Points"
label var PrevPoints "Previous Points Received"
label var Het_Points "Multi-Party Group x Previous Points"
label var Ho_Points "Single-Party Group x Previous Points"
label var Heterogeneous "Multi-Party"
label var Homogeneous "Single-Party"

eststo clear

eststo: reg ContChange PrevPoints if Punish==1, cluster(unique_group)
eststo: reg ContChange PrevPoints Het_Points Ho_Points if Punish==1, cluster(unique_group)
eststo: reg ContChange PrevPoints Het_Points Ho_Points Heterogeneous Homogeneous Period if Punish==1, cluster(unique_group)
eststo: reg ContChange PrevPoints Het_Points Ho_Points Heterogeneous Homogeneous age voter female white approve follownews Republican Period if Punish==1, cluster(unique_group)
eststo: reg ContChange PrevPoints nocopartisans onecopartisan twocopartisan noco_Points oneco_Points twoco_Points age voter female white approve follownews Republican Period if Punish==1, cluster(unique_group)


esttab, replace keep(_cons Republican PrevPointsReceived Het_Points Ho_Points Heterogeneous Homogeneous Period nocopartisans onecopartisans twocopartisans noco_Points oneco_Points twoco_Points ) indicate(Controls = female) se label title(Response to Punishment) addnote("Dependent variable is the change in contribution (current contribution - previous period contribution)" "Standard errors clustered at group level." "Includes all data from Periods 2-10 in Punishment condition") mtitles("" "" "" "" "" "" "") star(* 0.10 ** 0.05 *** 0.01)

restore

**** Table 5 *****

preserve

gen Heterogeneous = 0
replace Heterogeneous = 1 if NumberofRepublicans == 1 | NumberofRepublicans ==2
replace Homogeneous = 0 if Partisan == 0
replace Heterogeneous = 0 if Partisan ==0

collapse TotalContribution PeriodPayoff NumberofRepublicans Homogeneous Heterogeneous Punish Partisan voter female approve age white follownews, by(Period unique_group)
gen efficiency = (PeriodPayoff*3 - 60)/(120 - 60)


gen Pun_Het = Heterogeneous*Punish
gen Pun_Hom = Homogeneous* Punish
gen Pun_Per = Punish*Period
gen Period_Hom = Period*Homogeneous
gen Period_Het =Period*Heterogeneous
gen Period_Hom_Pun = Punish*Period_Hom
gen Period_Het_Punish = Punish*Period_Het

label var Homogeneous "Single-Party"
label var Heterogeneous "Multi-Party"

label var Period "Period"
label var NumberofRepublicans "Number of Republicans"
label var Pun_Het "Multi-Party x Punish"
label var Pun_Hom "Single-Party x Punish"
label var Pun_Per "Period x Punish"
label var Punish "Punish"
label var Period_Hom "Period x Single-Party"
label var Period_Het "Period x Multi-Party"
label var Period_Hom_Pun "Period x Single-Party x Punish"
label var Period_Het_Punish "Period x Multi-Party x Punish"

eststo clear
eststo: reg efficiency Heterogeneous Homogeneous NumberofRepublicans Period if Punish==0, cluster(unique_group)
eststo: reg efficiency Heterogeneous Homogeneous NumberofRepublicans Period if Punish==1, cluster(unique_group)
eststo: reg efficiency Heterogeneous Homogeneous NumberofRepublicans Period voter female approve age white follownews  if Punish==0, cluster(unique_group)
eststo: reg efficiency Heterogeneous Homogeneous NumberofRepublicans Period voter female approve age white follownews if Punish==1, cluster(unique_group)
eststo: reg efficiency Heterogeneous Homogeneous Punish Pun_Het Pun_Hom NumberofRepublicans voter female approve age white follownews Period, cluster(unique_group)
eststo: reg efficiency Heterogeneous Homogeneous Punish Pun_Het Pun_Hom NumberofRepublicans voter female approve age white follownews Period Pun_Per Period_Hom Period_Het Period_Hom_Pun Period_Het_Punish, cluster(unique_group)

esttab, replace keep(_cons Heterogeneous Homogeneous Punish Pun_Het Pun_Hom NumberofRepublicans Period Pun_Per Period_Hom Period_Het Period_Hom_Pun Period_Het_Punish) indicate(Controls = female) se label title(Group Efficiency Outcomes) addnote("Standard errors clustered at group level." "Columns (3) - (6) include controls for group demographics." "In all columns, the No Partisan condition is the omitted condition.") mtitles("No Pun." "Pun." "No Pun." "Pun." "All" "All") star(* 0.10 ** 0.05 *** 0.01)


	
